import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

const FormItem = Form.Item;


export default class T39A extends Component
{

    name='39A'
    desp = "Percentage Credit Amount Tolerance"
    
    pattern = ""
    tno = -1
    keys=[1,2]
    onChange=(index,value)=>
    {
        let obj = {};
        if(!value)
            value = ""
        let objtemp =this.props.value
        
        objtemp = objtemp && objtemp.length? objtemp[0] : {}

        objtemp["s"+index] = value;

        this.keys.forEach(i=>{
            obj['s'+i] = objtemp['s'+i]
        });
        
        let mval = `${obj.s1}/${obj.s2}`
        this.props.onValue([obj,mval])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}

        let readOnly = this.props.enLock  && (this.props.mty=='mt700' || this.props.mty=='mt701' || this.props.mty=='mt707' || this.props.mty=='mt708') 

    
        return (<Row>
            <Col span={5}>
            <FormItem
                 required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s1}
                    validateStatus={errmsg.s1?'error':null}
                 label="Tolerance 1"
                >
                        
                        <Input readOnly={readOnly}  type= "text" maxLength={2}  style={{imeMode:'disabled'}} placeholder="Tolerance 1" value={value.s1} onChange={(e)=>this.onChange(1,e.target.value)}/>
                </FormItem>
            
            </Col>
            
            <Col span={5}>
            <FormItem
                 required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s2}
                    validateStatus={errmsg.s2?'error':null}
                 label="Tolerance 2"
                >
                        
                        <Input readOnly={readOnly}  type= "text" addonBefore="/" maxLength={2}  style={{imeMode:'disabled'}} placeholder="Tolerance 2" value={value.s2} onChange={(e)=>this.onChange(2,e.target.value)}/>
                </FormItem>
            
            </Col>
        </Row>)
    }
}